//---------------------------------------------//
//              Joe Kari shaders               //
//---------------------------------------------//






//---------------------------------------------//
//               Skybox shaders                //
//---------------------------------------------//



textures/joekari_sky/alamosky
{
	qer_editorimage textures/joekari_sky/alamosky_ft.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	q3map_lightimage textures/joekari_color/white_yellow.jpg

	q3map_lightmapFilterRadius 0 8			// MUST BE BEFORE any light-related directives that you want it to affect
	q3map_sunExt 1 1 0.5 120 210 60 2 32
//	q3map_skyLight 30 6						// use this for final compile ? don't see any difference...
	q3map_skyLight 30 3						// faster
	
	skyparms textures/joekari_sky/alamosky - -
}

textures/joekari_sky/alamosky_nosun
{
	qer_editorimage textures/joekari_sky/alamosky_nosun.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	skyparms textures/joekari_sky/alamosky - -
}

textures/joekari_sky/grass_sky
{
	qer_editorimage textures/joekari_sky/grass_sky_rt.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	q3map_lightimage textures/joekari_color/white_yellow.jpg

	q3map_sunExt 1 1 0.5 120 210 60 2 32
	q3map_lightmapFilterRadius 0 8		// MUST BE BEFORE any light-related directives that you want it to affect
//	q3map_skyLight 30 6					// use this for final compile ? don't see any difference...
	q3map_skyLight 30 3					// 2 or 3 time faster
	
	skyparms textures/joekari_sky/grass_sky - -
}

textures/joekari_sky/env_demo
{
	qer_editorimage textures/joekari_sky/env_demo_ft.jpg
	qer_trans 0.3
    sort banner
    surfaceparm water
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm trans
    q3map_tessSize 512
    deformvertexes normal 0.1 0.1
    deformvertexes wave 64 sin 0 0.5 0.2 1	
	{
		map textures/joekari_sky/env_demo_dn.jpg
		tcGen environment
		blendFunc add
	}
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }

}



//---------------------------------------------//
//                Phong shaders                //
//---------------------------------------------//



textures/joekari_cloth/cloth_alamo1_phong
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/joekari_cloth/cloth_alamo1_phong.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_cloth/cloth_alamo1.jpg
		blendFunc filter
	}
}

textures/joekari_cloth/cloth_alamo3_phong
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/joekari_cloth/cloth_alamo3_phong.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_cloth/cloth_alamo3.jpg
		blendFunc filter
	}
}

textures/joekari_cloth/cloth_rope1_phong
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/joekari_cloth/cloth_rope1.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_cloth/cloth_rope1.jpg
		blendFunc filter
	}
}

textures/joekari_stone/stone_alamosaic1_phong
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_bounceScale 0.0
	qer_editorimage textures/joekari_stone/stone_alamosaic1_phong.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_stone/stone_alamosaic1.jpg
		blendFunc filter
	}
}

textures/joekari_grass/grass_alamo1_phong
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/joekari_grass/grass_alamo1_phong.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_grass/grass_alamo1.jpg
		blendFunc filter
	}
}

textures/joekari_stone/stone_alamo1_phong
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/joekari_stone/stone_alamo1_phong.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_stone/stone_alamo1.jpg
		blendFunc filter
	}
}

textures/joekari_wood/wood_tree1_phong
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/wq3_wood1/wood_tree1.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wq3_wood1/wood_tree1.jpg
		blendFunc filter
	}
}

textures/joekari_stone/stone_moche_phong
{
	q3map_nonplanar
	q3map_shadeangle 100
	qer_editorimage textures/joekari_stone/stone_moche.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_stone/stone_moche.jpg
		blendFunc filter
	}
}

 

//---------------------------------------------//
//             See-through shaders             //
//---------------------------------------------//



// this shaders use vertex lightning for performance issue

textures/joekari_cloth/cloth_alamocurtain1
{
	qer_editorimage textures/joekari_cloth/cloth_alamocurtain1.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm noimpact
	cull none
	nomipmaps
	q3map_vertexScale 2
	{
		map textures/joekari_cloth/cloth_alamocurtain1.tga
		alphaFunc GE128
		rgbGen vertex
	}

}



textures/joekari_metal/metal_chain1
{
	qer_editorimage textures/joekari_metal/metal_chain1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm noimpact
	cull none
	nopicmip
	nomipmaps
	{
		map textures/joekari_metal/metal_chain1.tga
		alphaFunc GE128
		rgbGen vertex
	}

}



textures/joekari_wood/wood_wheel1_trans
{
	qer_editorimage textures/joekari_wood/wood_wheel1_trans.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm noimpact
	cull none
	nomipmaps
	{
		map textures/joekari_wood/wood_wheel1_trans.tga
		alphaFunc GE128
		rgbGen vertex
	}

}

textures/joekari_wood/wood_fence1a
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	nomipmaps
	{
		map textures/joekari_wood/wood_fence1a.tga
		alphaFunc GE128
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/joekari_wood/wood_ladder1a
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	nomipmaps
	{
		map textures/joekari_wood/wood_ladder1a.tga
		alphaFunc GE128
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/joekari_wood/wood_ladder1b
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	nomipmaps
	{
		map textures/joekari_wood/wood_ladder1b.tga
		alphaFunc GE128
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}



//---------------------------------------------//
//           Transparencies shaders            //
//---------------------------------------------//



// this shaders use vertex lightning for performance issue

textures/joekari_glass/glass_simpleglass1
{
	qer_editorimage textures/joekari_color/dark_blue_green.jpg
	qer_trans .3
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nolightmap
//	q3map_vertexScale 2
	{
		map textures/joekari_color/dark_blue_green.jpg
		blendFunc blend
		rgbGen vertex
		alphaGen const .3
	}
	{
		map textures/joekari_glass/reflect1.jpg
		tcGen environment
		blendFunc add
		rgbGen vertex
		alphaGen const .3
	}
}

// this shaders use vertex lightning for performance issue

textures/joekari_glass/glass_simpleglass2_nocull
{
	qer_editorimage textures/joekari_color/dark_blue_green.jpg
	qer_trans .3
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nolightmap
	cull none
	q3map_vertexScale 0.4
	{
		map textures/joekari_color/dark_blue_green.jpg
		blendFunc blend
		rgbGen vertex
		alphaGen const .3
	}
	{
		map textures/joekari_glass/reflect1.jpg
		tcGen environment
		blendFunc add
		rgbGen vertex
		alphaGen const .3
	}
}

// this shaders use vertex lightning for performance issue

textures/joekari_glass/glass_simpleglass2_nocull_darker
{
	qer_editorimage textures/joekari_color/dark_blue_green.jpg
	qer_trans .3
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nolightmap
	cull none
	q3map_vertexScale 0.12
	{
		map textures/joekari_color/dark_blue_green.jpg
		blendFunc blend
		rgbGen vertex
		alphaGen const .3
	}
	{
		map textures/joekari_glass/reflect1.jpg
		tcGen environment
		blendFunc add
		rgbGen vertex
		alphaGen const .3
	}
}



//---------------------------------------------//
//             Reflecting shaders              //
//---------------------------------------------//



textures/joekari_metal/metal_simplegold1
{
	qer_editorimage textures/joekari_color/gold.jpg
	surfaceparm nolightmap
	{
		map textures/joekari_color/gold.jpg
		rgbGen vertex
	}
	{
		map textures/joekari_glass/reflect1.jpg
		tcGen environment
		blendFunc add
		rgbGen vertex
		alphaGen const .3
	}
}

textures/joekari_metal/metal_simplegold1_darker
{
	qer_editorimage textures/joekari_color/gold.jpg
	surfaceparm nolightmap
	q3map_vertexScale 0.4
	{
		map textures/joekari_color/gold.jpg
		rgbGen vertex
	}
	{
		map textures/joekari_glass/reflect1.jpg
		tcGen environment
		blendFunc add
		rgbGen vertex
		alphaGen const .3
	}
}


textures/joekari_glass/glass_simpleceramic1
{
	qer_editorimage textures/joekari_color/black.jpg
	surfaceparm nolightmap
	{
		map textures/joekari_color/black.jpg
		rgbGen vertex
	}
	{
		map textures/joekari_glass/reflect1.jpg
		tcGen environment
		blendFunc add
		rgbGen vertex
		alphaGen const .2
	}
}

textures/joekari_glass/glass_simpleceramic1_darker
{
	qer_editorimage textures/joekari_color/black.jpg
	surfaceparm nolightmap
	q3map_vertexScale 0.5
	{
		map textures/joekari_color/black.jpg
		rgbGen vertex
	}
	{
		map textures/joekari_glass/reflect1.jpg
		tcGen environment
		blendFunc add
		rgbGen vertex
		alphaGen const .2
	}
}



textures/joekari_metal/metal_simplecopper1
{
	qer_editorimage textures/joekari_color/copper.jpg
	surfaceparm nolightmap
	q3map_vertexScale 0.7
	{
		map textures/joekari_color/copper.jpg
		rgbGen vertex
	}
	{
		map textures/joekari_glass/reflect1.jpg
		tcGen environment
		blendFunc add
		rgbGen vertex
		alphaGen const .05
	}
}

textures/joekari_metal/metal_simplecopper1_darker
{
	qer_editorimage textures/joekari_color/copper.jpg
	surfaceparm nolightmap
	q3map_vertexScale 0.25
	{
		map textures/joekari_color/copper.jpg
		rgbGen vertex
	}
	{
		map textures/joekari_glass/reflect1.jpg
		tcGen environment
		blendFunc add
		rgbGen vertex
		alphaGen const .05
	}
}



textures/joekari_misc/simplewax1
{
	qer_editorimage textures/joekari_color/white_yellow.jpg
	surfaceparm nolightmap
	{
		map textures/joekari_color/white_yellow.jpg
		rgbGen vertex
	}
	{
		map textures/joekari_glass/reflect1.jpg
		tcGen environment
		blendFunc add
		rgbGen vertex
		alphaGen const .2
	}
}




//---------------------------------------------//
//           Light emitting shaders            //
//---------------------------------------------//



textures/joekari_glass/glass_lamp1
{
	qer_editorimage textures/joekari_glass/glass_lamp1.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	
//	light 1		// should add a lens flare, but doesn't work
	
//	q3map_lightimage textures/joekari_glass/glass_lamp1.jpg
	q3map_lightRGB 1.0 1.0 0.6
	q3map_surfaceLight 5000
	q3map_lightmapFilterRadius 0 8
	
	{
		map textures/joekari_glass/glass_lamp1.jpg
	}
}



textures/joekari_glass/glass_lamp1_brighter
{
	qer_editorimage textures/joekari_glass/glass_lamp1.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	
//	light 1		// should add a lens flare, but doesn't work
	
//	q3map_lightimage textures/joekari_glass/glass_lamp1.jpg
	q3map_lightRGB 1.0 1.0 0.6
	q3map_surfaceLight 50000
	q3map_lightmapFilterRadius 0 8
	
	{
		map textures/joekari_glass/glass_lamp1.jpg
	}
}



//---------------------------------------------//
//                Water shaders                //
//---------------------------------------------//



textures/joekari_water/water_alamo1
{
	qer_editorimage textures/joekari_water/water_alamo1.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm water
	surfaceparm nolightmap
	cull disable
	tesssize 256
	deformVertexes wave 256 sin 1 1 1 .1
	
	{
		map textures/joekari_water/water_alamo1.jpg
		blendfunc filter
		tcMod turb .1 .1 0 .01
		tcMod scroll -.01 .01
	}

	{
		map textures/joekari_water/water_alamo1-r2.jpg
		blendfunc add
		tcMod scroll .005 .005
	}

}

textures/joekari_water/water_alamo1_f
{
	qer_editorimage textures/joekari_water/water_alamo1.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm water
	surfaceparm nolightmap
	cull disable
//	tesssize 256
	
	{
		map textures/joekari_water/water_alamo1.jpg
		blendfunc filter
		tcMod turb .1 .1 0 .01
		tcMod scroll -.01 .01
	}

	{
		map textures/joekari_water/water_alamo1-r2.jpg
		blendfunc add
		tcMod scroll .005 .005
	}

}



//---------------------------------------------//
//                Decal shaders                //
//---------------------------------------------//

// nothing !!!



//---------------------------------------------//
//           Special effect shaders            //
//---------------------------------------------//



// fire effect 256x512

textures/joekari_sfx/flame_hq
{
	qer_editorimage textures/joekari_sfx/flame_hq1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm noimpact
	cull none
	nopicmip
	{
		animMap 7	textures/joekari_sfx/flame_hq5.tga textures/joekari_sfx/flame_hq2.tga textures/joekari_sfx/flame_hq3.tga textures/joekari_sfx/flame_hq4.tga textures/joekari_sfx/flame_hq5.tga textures/joekari_sfx/flame_hq1.tga textures/joekari_sfx/flame_hq3.tga
		blendFunc blend
	}

}



// fire effect 128x256

textures/joekari_sfx/flame_lq
{
	qer_editorimage textures/joekari_sfx/flame_lq1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm noimpact
	cull none
	nopicmip
	{
		animMap 7	textures/joekari_sfx/flame_lq5.tga textures/joekari_sfx/flame_lq2.tga textures/joekari_sfx/flame_lq3.tga textures/joekari_sfx/flame_lq4.tga textures/joekari_sfx/flame_lq5.tga textures/joekari_sfx/flame_lq1.tga textures/joekari_sfx/flame_lq3.tga
		blendFunc blend
	}

}



// 5 grass animated shaders, they all have a different frequencies... mix them up in your map for better visual effect

textures/joekari_grass/grass_jkdemo1
{
	qer_editorimage textures/joekari_grass/grass_jkdemo1-1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm noimpact
	cull none
	nopicmip

	{
		animMap 10	textures/joekari_grass/grass_jkdemo1-1.tga textures/joekari_grass/grass_jkdemo1-2.tga textures/joekari_grass/grass_jkdemo1-3.tga textures/joekari_grass/grass_jkdemo1-4.tga textures/joekari_grass/grass_jkdemo1-5.tga textures/joekari_grass/grass_jkdemo1-4.tga textures/joekari_grass/grass_jkdemo1-3.tga textures/joekari_grass/grass_jkdemo1-2.tga
		alphaFunc GE128
 		rgbGen vertex
	}

}

textures/joekari_grass/grass_jkdemo1_dph1
{
	qer_editorimage textures/joekari_grass/grass_jkdemo1-1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm noimpact
	cull none
	nopicmip
	{
		animMap 11 textures/joekari_grass/grass_jkdemo1-1.tga textures/joekari_grass/grass_jkdemo1-2.tga textures/joekari_grass/grass_jkdemo1-3.tga textures/joekari_grass/grass_jkdemo1-4.tga textures/joekari_grass/grass_jkdemo1-5.tga textures/joekari_grass/grass_jkdemo1-4.tga textures/joekari_grass/grass_jkdemo1-3.tga textures/joekari_grass/grass_jkdemo1-2.tga
		alphaFunc GE128
 		rgbGen vertex
	}

}

textures/joekari_grass/grass_jkdemo1_dph2
{
	qer_editorimage textures/joekari_grass/grass_jkdemo1-1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm noimpact
	cull none
	nopicmip

	{
		animMap 12 textures/joekari_grass/grass_jkdemo1-1.tga textures/joekari_grass/grass_jkdemo1-2.tga textures/joekari_grass/grass_jkdemo1-3.tga textures/joekari_grass/grass_jkdemo1-4.tga textures/joekari_grass/grass_jkdemo1-5.tga textures/joekari_grass/grass_jkdemo1-4.tga textures/joekari_grass/grass_jkdemo1-3.tga textures/joekari_grass/grass_jkdemo1-2.tga
		alphaFunc GE128
 		rgbGen vertex
	}

}

textures/joekari_grass/grass_jkdemo1_dph3
{
	qer_editorimage textures/joekari_grass/grass_jkdemo1-1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm noimpact
	cull none
	nopicmip

	{
		animMap 9 textures/joekari_grass/grass_jkdemo1-1.tga textures/joekari_grass/grass_jkdemo1-2.tga textures/joekari_grass/grass_jkdemo1-3.tga textures/joekari_grass/grass_jkdemo1-4.tga textures/joekari_grass/grass_jkdemo1-5.tga textures/joekari_grass/grass_jkdemo1-4.tga textures/joekari_grass/grass_jkdemo1-3.tga textures/joekari_grass/grass_jkdemo1-2.tga
		alphaFunc GE128
 		rgbGen vertex
	}

}

textures/joekari_grass/grass_jkdemo1_dph4
{
	qer_editorimage textures/joekari_grass/grass_jkdemo1-1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm noimpact
	cull none
	nopicmip

	{
		animMap 8 textures/joekari_grass/grass_jkdemo1-1.tga textures/joekari_grass/grass_jkdemo1-2.tga textures/joekari_grass/grass_jkdemo1-3.tga textures/joekari_grass/grass_jkdemo1-4.tga textures/joekari_grass/grass_jkdemo1-5.tga textures/joekari_grass/grass_jkdemo1-4.tga textures/joekari_grass/grass_jkdemo1-3.tga textures/joekari_grass/grass_jkdemo1-2.tga
		alphaFunc GE128
 		rgbGen vertex
	}

}



//---------------------------------------------//
//                Plant shaders                //
//---------------------------------------------//



textures/joekari_plant/plant_breli1
{
    qer_editorimage textures/joekari_plant/plant_breli1.tga
    surfaceparm trans
    surfaceparm alphashadow
    cull none
    nopicmip
    deformVertexes bulge 3 3 .8		// displacement_S displacement_T Time_of_cycle_in_s
    {
		map textures/joekari_plant/plant_breli1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
    }
    {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
    }
}

textures/joekari_plant/plant_breli1_as
{
    qer_editorimage textures/joekari_plant/plant_breli1_as.jpg
    surfaceparm trans
    cull none
    nopicmip
    deformVertexes autosprite2
	deformVertexes bulge 3 3 .8
    {
		map textures/joekari_plant/plant_breli1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
    }
    {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
    }
}

textures/joekari_plant/plant_breli2
{
    qer_editorimage textures/joekari_plant/plant_breli2.tga
    surfaceparm trans
    surfaceparm alphashadow
	surfaceparm nolightmap
    cull none
    nopicmip
//    deformVertexes bulge 3 3 .8		// displacement_S displacement_T Time_of_cycle_in_s
    {
		map textures/joekari_plant/plant_breli2.tga
		alphaFunc GE128
		rgbGen vertex
    }

}

textures/joekari_plant/plant_palm1
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/joekari_plant/plant_palm1.tga
		alphaFunc GE128
		rgbGen vertex
	}

}



//---------------------------------------------//
//              Blending shaders               //
//---------------------------------------------//



// Texture blending

textures/joekari_transition/dirt_alamo2_to_grass_alamo1
{
    qer_editorimage textures/joekari_transition/dirt_alamo2_to_grass_alamo1.tga
    surfaceparm dust
    q3map_nonplanar
    q3map_shadeAngle 160
//    q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
//    q3map_lightmapAxis z
    {
       map textures/joekari_grass/grass_alamo1.jpg
       rgbGen identity
    }
    {
       map textures/joekari_dirt/dirt_alamo2.tga
       blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
       rgbGen identity
       alphaGen oneminusvertex
    }
    {
       map $lightmap
       blendFunc filter
       rgbGen identity
//       tcGen lightmap
    }
}



//---------------------------------------------//
//               Sprite shaders                //
//---------------------------------------------//



textures/joekari_animal/eagle1
{
    qer_editorimage textures/joekari_animal/eagle1.tga
    surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes move 100 0 0 sin 0 1 0 0.1		// move x y z (game unit) func base amplitude phase freq
//	deformVertexes move 500 0 0 sin 0 1 0 0.05		// too bad, using a move effect with large amplitude is buggy : if the origin isn't in sight, it is not displayed
    deformVertexes bulge 30 30 .8
	
    {
		map textures/joekari_animal/eagle1.tga
		alphaFunc GE128
		rgbGen vertex
    }
}




//---------------------------------------------//
//                 Misc shaders                //
//---------------------------------------------//



// nolightmap for alamobook because it's a func_door rotating (it causes bad lightmap)
textures/joekari_cloth/cloth_alamobook1b_nolightmap
{
	qer_editorimage textures/joekari_cloth/cloth_alamobook1b.jpg
	surfaceparm nolightmap
	q3map_vertexScale 0.7
	{
		map textures/joekari_cloth/cloth_alamobook1b.jpg
	}
}


// just a non-solid and vertex light tex
textures/joekari_metal/metal_doorhandle1
{
	qer_editorimage textures/joekari_metal/metal_doorhandle1.jpg
	surfaceparm nonsolid
	q3map_vertexScale 1.5
	{
		map textures/joekari_metal/metal_doorhandle1.jpg
		rgbGen vertex
	}
}

// Just cull none + vertex light
textures/joekari_cloth/cloth_wagon_cover1a
{
	surfaceparm nolightmap
	cull none
	q3map_vertexScale 1.5
	{
		map textures/joekari_cloth/cloth_wagon_cover1a.jpg
		rgbGen vertex
	}
}

// Just cull none  + vertex light
textures/joekari_cloth/cloth_alamo1
{
	surfaceparm nolightmap
	cull none
	{
		map textures/joekari_cloth/cloth_alamo1.jpg
		rgbGen vertex
	}
}

// Just cull none + vertex light
textures/joekari_misc/metal_ashtray1
{
	surfaceparm nolightmap
	cull none
	{
		map textures/joekari_misc/metal_ashtray1.jpg
		rgbGen vertex
	}
}

// Just cull none and more brightness
textures/joekari_picture/cloth_alamo_wanted1
{
	cull none
	q3map_lightmapBrightness 1.25
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_picture/cloth_alamo_wanted1.jpg
		blendFunc filter
	}
}

// Just a vertex light tex
textures/joekari_wood/wood_wheel1_notrans
{
	qer_editorimage textures/joekari_wood/wood_wheel1_trans.tga
	surfaceparm nolightmap
	{
		map textures/joekari_wood/wood_wheel1_trans.tga
		rgbGen vertex
	}

}

// Just a color variation of a tex
textures/joekari_stone/stone_alamowall2c_fake
{
//	qer_editorimage textures/joekari_stone/stone_alamowall2c.jpg
	{
		map $lightmap
		rgbGen const ( 0.75 0.7 0.3 )
	}
	{
		map textures/joekari_stone/stone_alamowall2b.jpg
		blendFunc filter
	}

}


// Just tex with variable bounceScale //

textures/joekari_dirt/dirt_alamo1
{
	q3map_bounceScale 0.0
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_dirt/dirt_alamo1.jpg
		blendFunc filter
	}

}

textures/joekari_wood/wood_js_wall
{
	q3map_bounceScale 0.0
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_wood/wood_js_wall.jpg
		blendFunc filter
	}

}

textures/joekari_wood/wood_breli_wood1
{
	q3map_bounceScale 0.0
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_wood/wood_breli_wood1.jpg
		blendFunc filter
	}

}

textures/joekari_wood/wood_planks1
{
	q3map_bounceScale 0.0
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_wood/wood_planks1.jpg
		blendFunc filter
	}

}

textures/joekari_stone/stone_alamowall1
{
	q3map_bounceScale 0.0
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_stone/stone_alamowall1.jpg
		blendFunc filter
	}

}

textures/joekari_stone/stone_alamowall2abis
{
	q3map_bounceScale 0.0
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_stone/stone_alamowall2abis.jpg
		blendFunc filter
	}

}

textures/joekari_stone/stone_alamowall2b
{
	q3map_bounceScale 0.0
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_stone/stone_alamowall2b.jpg
		blendFunc filter
	}

}

textures/joekari_stone/stone_alamofloor2
{
	q3map_bounceScale 0.0
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_stone/stone_alamofloor2.jpg
		blendFunc filter
	}

}

textures/joekari_stone/stone_alamosaic1
{
	q3map_bounceScale 0.0
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_stone/stone_alamosaic1.jpg
		blendFunc filter
	}

}

textures/joekari_grass/grass_alamo2
{
	q3map_bounceScale 0.0
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_grass/grass_alamo2.jpg
		blendFunc filter
	}

}

textures/joekari_stone/stone_alamowall2a
{
	q3map_bounceScale 0.5
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_stone/stone_alamowall2a.jpg
		blendFunc filter
	}

}

textures/joekari_stone/stone_alamowall2c
{
	q3map_bounceScale 0.5
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joekari_stone/stone_alamowall2c.jpg
		blendFunc filter
	}

}



//---------------------------------------------//
//                q3map shaders                //
//---------------------------------------------//


// Compile-time only shaders

textures/joekari_q3map/hintskip 
{ 
        qer_editorimage textures/joekari_q3map/hintskip.tga
        qer_nocarve 
        qer_trans 0.30 
        surfaceparm nodraw 
        surfaceparm nonsolid 
        surfaceparm skip 
        surfaceparm structural 
        surfaceparm trans 
        surfaceparm noimpact 
}

textures/joekari_q3map/subtlehint
{
    qer_editorimage textures/joekari_q3map/subtlehint.tga
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
}

textures/joekari_q3map/alpha_000
{
	qer_editorimage textures/joekari_q3map/alpha_0.jpg
    qer_trans 0.5
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/joekari_q3map/alpha_025
{
    qer_editorimage textures/joekari_q3map/alpha_25.jpg
    qer_trans 0.5
    q3map_alphaMod volume
    q3map_alphaMod set 0.25
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm trans
}

textures/joekari_q3map/alpha_050  // Perfect mix of both Primary + Secondary
{
    qer_editorimage textures/joekari_q3map/alpha_50.jpg
    qer_trans 0.5
    q3map_alphaMod volume
    q3map_alphaMod set 0.50
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm trans
}

textures/joekari_q3map/alpha_075
{
    qer_editorimage textures/joekari_q3map/alpha_75.jpg
    qer_trans 0.5
    q3map_alphaMod volume
    q3map_alphaMod set 0.75
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm trans
}

textures/joekari_q3map/alpha_100
{
    qer_editorimage textures/joekari_q3map/alpha_100.jpg
    qer_trans 0.5
    q3map_alphaMod volume
    q3map_alphaMod set 1.0
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm trans
}

textures/joekari_q3map/shadowcaster_100
{

// Used for invisible brush that magically cast shadow.
// Be sure that this brush don't touch anything or this surface could me made invisible too

    qer_editorimage textures/joekari_q3map/shadowcaster_100.jpg
	qer_trans 0.7
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm detail
	{
// for alpha shadow, must uncomment this, BUT DON4T FORGET THAT IT HURT FPS !!! Better have a compile-time shaders and a run-time shaders with no stage
//		map textures/joekari_q3map/shadow_100.tga
//		alphaFunc GE128
//		depthWrite
//		rgbGen vertex
	}
}

textures/joekari_q3map/wood_clip
{
	qer_trans 0.5
	qer_editorimage textures/joekari_q3map/wood_clip.jpg
	q3map_clipModel
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
//	surfaceparm nomarks
}

textures/joekari_q3map/grass_clip
{
	qer_trans 0.5
	qer_editorimage textures/joekari_q3map/grass_clip.jpg
	q3map_clipModel
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
//	surfaceparm nomarks
}

textures/joekari_q3map/auto_playerclip
{
	qer_trans 0.5
	qer_editorimage textures/joekari_q3map/auto_playerclip.jpg
	q3map_clipModel
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/joekari_q3map/auto_playerclip_test
{
	qer_trans 0.5
	qer_editorimage textures/joekari_q3map/auto_playerclip.jpg
	q3map_clipModel
	surfaceparm nodraw
	surfaceparm nolightmap
	// cause knife and dyno must be stopped :
	//surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/joekari_q3map/donotenter_botclip
{
	qer_trans 0.5
	qer_editorimage textures/joekari_q3map/donotenter_botclip.tga
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}



// Don't know why, but those shaders don't act the way they should... 

textures/joekari_q3map/rgb_1_0_0
{
    qer_editorimage textures/joekari_q3map/red_volume.jpg
	qer_trans 0.5
	q3map_rgbMod volume
	q3map_rgbGen set ( 1.0 0.0 0.0 )
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/joekari_q3map/rgb_0_1_0
{
    qer_editorimage textures/joekari_q3map/green_volume.jpg
	qer_trans 0.5
	q3map_rgbMod volume
	q3map_rgbGen set ( 0.0 1.0 0.0 )
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/joekari_q3map/rgb_0_0_1
{
    qer_editorimage textures/joekari_q3map/blue_volume.jpg
	qer_trans 0.5
	q3map_rgbMod volume
	q3map_rgbGen set ( 0.0 0.0 1.0 )
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}


//---------------------------------------------//
//              External shaders               //
//---------------------------------------------//



//Rock Wall Smoothing found on Red Neckerson's tutorial map

textures/wq3_stone/stone_rock5_wqt2
{
 	q3map_nonplanar
 	q3map_shadeangle 40
 	qer_editorimage textures/wq3_stone/stone_rock5.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/Wq3_stone/stone_rock5.tga
 		blendFunc filter
 	}
}


//Toilet Paper Smoothing  found on Red Neckerson's tutorial map

textures/wq3_cloth/cloth_coach_wqt2
{
 	q3map_nonplanar
 	q3map_shadeangle 100
 	qer_editorimage textures/wq3_cloth/cloth_coach.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/Wq3_cloth/cloth_coach.tga
 		blendFunc filter
 	}
}



//---------------------------------------------//
//            Experimental shaders             //
//---------------------------------------------//



textures/joekari_q3map/test_shader
{
	qer_trans 0.3
	qer_editorimage textures/joekari_q3map/test_shader.jpg
	qer_nocarve
	q3map_rgbMod volume
	q3map_rgbMod set ( 0.5 0.5 0.5 )
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/joekari_sfx/portal
{
	qer_editorimage textures/joekari_sfx/portal.jpg
	surfaceparm nolightmap
	portal
	{
		map textures/joekari/sfx_surface.jpg
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 128
    }
}

